Bug 536247 - (RHQ-618) RFE: resource *delete* should also remove (uninventory) logically related resources
RFE: resource *delete* should also remove (uninventory) logically related res...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.0
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
: 670749 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-23 18:01 EDT by Charles Crouch
Modified: 2015-02-05 20:19 EST (History)
8 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2008-06-23 18:01:00 EDT
Example would be deleting a .ear archive, will remove the archive from disk, remove the ear resource from the inventory, but leave the stateless session bean resources (that were contained in the .ear) still in the inventory. These resources turn red since their actual deployment (inside the .ear archive) no longer exists.

The trouble is there is no real association between the ear resource and the SLSB resource to indicate that the SLSB should be removed too.
Comment 1 Joseph Marques 2009-04-28 05:11:55 EDT
this could/would be fixed by implementing the relationship service.
Comment 2 Red Hat Bugzilla 2009-11-10 16:13:23 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-618
This bug is related to RHQ-372
This bug incorporates RHQ-323
Comment 3 Jochen Riedlinger 2010-05-27 08:00:17 EDT
This is not only true for a deletion of an EAR, but also for an uninventory of that EAR.

Also not only the SLSBs(EJB-JARs) is still there, but all other embedded elements of that EAR (RAR, WAR, )

We deploy our EARs with names like e.g.:
OurApp-2.2.4.ear (with embedded OurApp-EJB-2.2.4.jar, OurApp-web-2.2.4.war) and want to uninventory them when updating to OurApp-2.2.5.ear


It is too much work not just to uninventory the EARs but also all children.....
Comment 4 Corey Welton 2010-09-13 15:58:30 EDT
needinfo ccrouch:  latest thoughts?
Comment 5 bkramer 2011-01-19 05:47:24 EST
I have raised the following https://bugzilla.redhat.com/show_bug.cgi?id=670749
before I found this one. If you check the steps to reproduce in 670749 you will see exactly the same test scenario.
Comment 6 Larry O'Leary 2011-02-08 11:02:52 EST
*** Bug 670749 has been marked as a duplicate of this bug. ***
Comment 7 Jay Shaughnessy 2014-05-02 14:46:33 EDT
Although not a silver bullet, there is some ability for the work in Bug 1093822 to potentially have a positive impact here.

Note You need to log in before you can comment on or make changes to this bug.